package cn.com.countrygarden.bi.main.model.twerp.hm;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 日收费统计表
 * 
 * @author huangzhengjun
 *
 */
@Table(name = "Tb_DeskTop_FeesDaily")
public class TbDeskTopFeesDaily {
	@Id
	@Column(name = "IID")
	private String iid;

	@Column(name = "OrganCode")
	private String organCode;

	@Column(name = "CommID")
	private String commID;

	@Column(name = "StatDate")
	private Date statDate;

	@Column(name = "TypeCode")
	private String typeCode;

	@Column(name = "FeesCommID")
	private long feesCommID;

	@Column(name = "CustID")
	private long custID;

	@Column(name = "ChargeMode")
	private String chargeMode;

	@Column(name = "DealDate")
	private Date dealDate;

	@Column(name = "DealAmount")
	private double dealAmount;

	@Column(name = "LateAmount")
	private double lateAmount;

	@Column(name = "UpdatedTime")
	private Date updatedTime;

	@Column(name = "OrganName")
	private String organName;

	@Column(name = "CommName")
	private String commName;

	@Column(name = "CustName")
	private String custName;

	@Column(name = "MobilePhone")
	private String mobilePhone;

	@Column(name = "sumamount")
	private String sumamount;

	private String chargeArea;

	private String season;

	public String getSeason() {
		return season;
	}

	public void setSeason(String season) {
		this.season = season;
	}

	public String getChargeArea() {
		return chargeArea;
	}

	public void setChargeArea(String chargeArea) {
		this.chargeArea = chargeArea;
	}

	/**
	 * 上月收费面积
	 */
	private String lastMonthChargeArea;
	/**
	 * 本月收费面积
	 */
	private String thisMonthChargeArea;

	public String getLastMonthChargeArea() {
		return lastMonthChargeArea;
	}

	public void setLastMonthChargeArea(String lastMonthChargeArea) {
		this.lastMonthChargeArea = lastMonthChargeArea;
	}

	public String getThisMonthChargeArea() {
		return thisMonthChargeArea;
	}

	public void setThisMonthChargeArea(String thisMonthChargeArea) {
		this.thisMonthChargeArea = thisMonthChargeArea;
	}

	public String getIid() {
		return iid;
	}

	public void setIid(String iid) {
		this.iid = iid;
	}

	public String getOrganCode() {
		return organCode;
	}

	public void setOrganCode(String organCode) {
		this.organCode = organCode;
	}

	public String getCommID() {
		return commID;
	}

	public void setCommID(String commID) {
		this.commID = commID;
	}

	public Date getStatDate() {
		return statDate;
	}

	public void setStatDate(Date statDate) {
		this.statDate = statDate;
	}

	public String getTypeCode() {
		return typeCode;
	}

	public void setTypeCode(String typeCode) {
		this.typeCode = typeCode;
	}

	public long getFeesCommID() {
		return feesCommID;
	}

	public void setFeesCommID(long feesCommID) {
		this.feesCommID = feesCommID;
	}

	public long getCustID() {
		return custID;
	}

	public void setCustID(long custID) {
		this.custID = custID;
	}

	public String getChargeMode() {
		return chargeMode;
	}

	public void setChargeMode(String chargeMode) {
		this.chargeMode = chargeMode;
	}

	public Date getDealDate() {
		return dealDate;
	}

	public void setDealDate(Date dealDate) {
		this.dealDate = dealDate;
	}

	public double getDealAmount() {
		return dealAmount;
	}

	public void setDealAmount(double dealAmount) {
		this.dealAmount = dealAmount;
	}

	public double getLateAmount() {
		return lateAmount;
	}

	public void setLateAmount(double lateAmount) {
		this.lateAmount = lateAmount;
	}

	public Date getUpdatedTime() {
		return updatedTime;
	}

	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getCommName() {
		return commName;
	}

	public void setCommName(String commName) {
		this.commName = commName;
	}

	public String getCustName() {
		return custName;
	}

	public void setCustName(String custName) {
		this.custName = custName;
	}

	public String getMobilePhone() {
		return mobilePhone;
	}

	public void setMobilePhone(String mobilePhone) {
		this.mobilePhone = mobilePhone;
	}

	public String getSumamount() {
		return sumamount;
	}

	public void setSumamount(String sumamount) {
		this.sumamount = sumamount;
	}

}
